GNet Solutions - Bug #76

Error Updating Package List in APT on Ubuntu 12.04
02/26/2013 01:30 PM - Daniel Curtis

Status: Closed Start date: 02/26/2013
Priority: Normal Due date:

Assignee: Daniel Curtis % Done: 100%
Category: Estimated time: 0.50 hour
Target version: Spent time: 3.00 hours
Description

| am getting an error while trying to update the a new elastic cloud server running Ubuntu 12.04 with nothing but OpenSSH server
installed. The error displays:

W:

= £ = = =

Failed to fetch http://security.ubuntu.com/ubuntu/dists/precise-security/main/source/Sources 404 Not Found

: Failed to fetch http://security.ubuntu.com/ubuntu/dists/precise-security/universe/source/Sources 404 Not Found

: Failed to fetch http://security.ubuntu.com/ubuntu/dists/precise-security/multiverse/source/Sources 404 Not Found

: Failed to fetch http://security.ubuntu.com/ubuntu/dists/precise-security/main/binary-powerpc/Packages 404 Not Found

: Failed to fetch http://security.ubuntu.com/ubuntu/dists/precise-security/universe/binary-powerpc/Packages 404 Not Found

: Failed to fetch http://security.ubuntu.com/ubuntu/dists/precise-security/multiverse/binary-powerpc/Packages 404 Not Found

E: Some index files failed to download. They have been ignored, or old ones used instead.

History

#1 - 02/26/2013 01:36 PM - Daniel Curtis

- Description updated

The issue was with the installation setting the distribution update path to security.ubuntu.com, this is normally where updates are housed. However |
am running on a PowerPC architecture and updates are housed at ports.ubuntu.com

e Original /etc/apt/sources.list:

deb http:/security.ubuntu.com/ubuntu precise-security main

deb-src http://security.ubuntu.com/ubuntu precise-security main

deb http://security.ubuntu.com/ubuntu precise-security universe
deb-src http://security.ubuntu.com/ubuntu precise-security universe
deb http://security.ubuntu.com/ubuntu precise-security multiverse
deb-src http://security.ubuntu.com/ubuntu precise-security multiverse

##This software is not part of Ubuntu, but is offered by Canonical and the
##respective vendors as a service to Ubuntu users.

#deb http://archive.canonical.com/ubuntu precise partner

#deb-src http:/archive.canonical.com/ubuntu precise partner

##This software is not part of Ubuntu, but is offered by third-party
##developers who want to ship their latest software.

deb http://extras.ubuntu.com/ubuntu precise main

deb-src http://extras.ubuntu.com/ubuntu precise main

New /etc/apt/sources.list:

deb http://ports.ubuntu.com/ubuntu-ports precise-security main

deb-src http://ports.ubuntu.com/ubuntu-ports precise-security main

deb http:/ports.ubuntu.com/ubuntu-ports precise-security universe
deb-src http://ports.ubuntu.com/ubuntu-ports precise-security universe
deb http:/ports.ubuntu.com/ubuntu-ports precise-security multiverse
deb-src http://ports.ubuntu.com/ubuntu-ports precise-security multiverse
##This software is not part of Ubuntu, but is offered by Canonical and the
##trespective vendors as a service to Ubuntu users.

#deb http://archive.canonical.com/ubuntu precise partner

#deb-src http:/archive.canonical.com/ubuntu precise partner

##This software is not part of Ubuntu, but is offered by third-party
##developers who want to ship their latest software.

deb http://extras.ubuntu.com/ubuntu precise main

deb-src http://extras.ubuntu.com/ubuntu precise main

#2 - 02/27/2013 01:51 PM - Daniel Curtis

There was still an issue installing standard packages, vim or vim-nox. | have finally found the cause of this. The standard repositories set during install
is for the main Ubuntu update servers. However the main repositories only house packages for x86 and amd64 not ppc. The PowerPC packages are
housed at ports.ubuntu.com, as such the /etc/apt/sources.list must be modified as such:

e /etc/apt/sources.list:

deb http:/ports.ubuntu.com/ubuntu-ports/ precise main

deb http://ports.ubuntu.com/ubuntu-ports/ precise universe

deb http:/ports.ubuntu.com/ubuntu-ports/ precise multiverse

deb http://ports.ubuntu.com/ubuntu-ports/ precise-updates main

deb http://ports.ubuntu.com/ubuntu-ports/ precise-updates universe
deb http:/ports.ubuntu.com/ubuntu-ports/ precise-updates multiverse
deb http://ports.ubuntu.com/ubuntu-ports/ precise-backports main
deb http://ports.ubuntu.com/ubuntu-ports/ precise-backports universe
deb http:/ports.ubuntu.com/ubuntu-ports/ precise-backports multiverse
deb http:/ports.ubuntu.com/ubuntu-ports/ precise-security main

deb http://ports.ubuntu.com/ubuntu-ports/ precise-security universe
deb http:/ports.ubuntu.com/ubuntu-ports/ precise-security multiverse

#3 - 02/27/2013 01:57 PM - Daniel Curtis

- Status changed from In Progress to Closed
- % Done changed from 0 to 100

- Estimated time set to 0.50 h
